Skip to Content
inclamoDocs

List all AgentBots

GET
/api/v1/accounts/{account_id}/agent_bots

List all agent bots available for the current account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Response Body

Success

application/json
  1. response

Array of agent bots

[index: integer]?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/agent_bots'
Example Response
[  {    "id": 0,    "name": "string",    "description": "string",    "thumbnail": "string",    "outgoing_url": "string",    "bot_type": "string",    "bot_config": {},    "account_id": 0,    "access_token": "string",    "system_bot": true  }]